[ Maverik Level 1 typedefs ]

#

MAV_polygon

## Summary

Default object class ``polygon''.

## Syntax

    typedef struct {
      int np;
      MAV_vector norm;
      MAV_texCoord *tex;
      MAV_vector *vert;
      MAV_surfaceParams *sp;
      MAV_matrix matrix;
      void *userdef;
    } MAV_polygon;

## Description

A polygon is defined by a number, `np`, of points, a normal, `norm`, and collection of vertices, `vert`, and, optionally, texture coordinates, `tex`. The polygon must be concave, planar and the vertices ordered anti-clockwise around the normal.

Texture coordinates must be provided is this object is to be textured.

Back to the index page.